/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
/**
 *  @file
 *
 *  This file removes all the Makros used to replace MPI Calls.
 *  This is necessary within our wrappers.
 *
 *  @author Tobias Hilbrich
 *
 *  $Id: mpi_undef_makros.h 838 2008-06-13 10:44:34Z hpchimml $
 */

#undef MPI_Abort
#undef MPI_Abort
#undef MPI_Address
#undef MPI_Allgather
#undef MPI_Allgatherv
#undef MPI_Allreduce
#undef MPI_Alltoall
#undef MPI_Alltoallv 
#undef MPI_Attr_delete 
#undef MPI_Attr_get 
#undef MPI_Attr_put 
#undef MPI_Barrier 
#undef MPI_Bcast 
#undef MPI_Bsend 
#undef MPI_Bsend_init 
#undef MPI_Buffer_attach 
#undef MPI_Buffer_detach 
#undef MPI_Cancel 
#undef MPI_Cart_coords 
#undef MPI_Cart_create 
#undef MPI_Cart_get 
#undef MPI_Cart_map 
#undef MPI_Cart_rank 
#undef MPI_Cart_shift 
#undef MPI_Cart_sub 
#undef MPI_Cartdim_get 
#undef MPI_Comm_compare 
#undef MPI_Comm_create 
#undef MPI_Comm_dup 
#undef MPI_Comm_free 
#undef MPI_Comm_group 
#undef MPI_Comm_rank 
#undef MPI_Comm_remote_group 
#undef MPI_Comm_remote_size 
#undef MPI_Comm_size 
#undef MPI_Comm_split 
#undef MPI_Comm_test_inter 
#undef MPI_Dims_create 
#undef MPI_Errhandler_create 
#undef MPI_Errhandler_free 
#undef MPI_Errhandler_get 
#undef MPI_Errhandler_set 
#undef MPI_Error_class 
#undef MPI_Error_string 
#undef MPI_Finalize 
#undef MPI_Gather 
#undef MPI_Gatherv 
#undef MPI_Get_count 
#undef MPI_Get_elements 
#undef MPI_Get_processor_name 
#undef MPI_Get_version 
#undef MPI_Graph_create 
#undef MPI_Graph_get 
#undef MPI_Graph_map 
#undef MPI_Graph_neighbors 
#undef MPI_Graph_neighbors_count 
#undef MPI_Graphdims_get 
#undef MPI_Group_compare 
#undef MPI_Group_difference 
#undef MPI_Group_excl 
#undef MPI_Group_free 
#undef MPI_Group_incl 
#undef MPI_Group_intersection 
//#undef MPI_Group_range_excl 
//#undef MPI_Group_range_incl 
#undef MPI_Group_rank 
#undef MPI_Group_size 
#undef MPI_Group_translate_ranks 
#undef MPI_Group_union 
#undef MPI_Ibsend 
#undef MPI_Init
#undef MPI_Init_thread  
#undef MPI_Initialized 
#undef MPI_Intercomm_create 
#undef MPI_Intercomm_merge 
#undef MPI_Iprobe 
#undef MPI_Irecv 
#undef MPI_Irsend 
#undef MPI_Isend 
#undef MPI_Issend 
#undef MPI_Keyval_create 
#undef MPI_Keyval_free 
#undef MPI_Op_create 
#undef MPI_Op_free 
#undef MPI_Pack 
#undef MPI_Pack_size 
#undef MPI_Pcontrol 
#undef MPI_Probe 
#undef MPI_Recv 
#undef MPI_Recv_init 
#undef MPI_Reduce 
#undef MPI_Reduce_scatter 
#undef MPI_Request_free 
#undef MPI_Rsend 
#undef MPI_Rsend_init 
#undef MPI_Scan 
#undef MPI_Scatter 
#undef MPI_Scatterv 
#undef MPI_Send 
#undef MPI_Send_init 
#undef MPI_Sendrecv 
#undef MPI_Sendrecv_replace 
#undef MPI_Ssend 
#undef MPI_Ssend_init 
#undef MPI_Start 
#undef MPI_Startall 
#undef MPI_Test 
#undef MPI_Test_cancelled 
#undef MPI_Testall 
#undef MPI_Testany 
#undef MPI_Testsome 
#undef MPI_Topo_test 
#undef MPI_Type_commit 
#undef MPI_Type_contiguous 
#undef MPI_Type_extent 
#undef MPI_Type_free 
#undef MPI_Type_hindexed 
#undef MPI_Type_hvector 
#undef MPI_Type_indexed 
#undef MPI_Type_lb 
#undef MPI_Type_size 
#undef MPI_Type_struct 
#undef MPI_Type_ub 
#undef MPI_Type_vector 
#undef MPI_Unpack 
#undef MPI_Wait 
#undef MPI_Waitall 
#undef MPI_Waitany 
#undef MPI_Waitsome 
//#undef MPI_Wtick 
//#undef MPI_Wtime 
