/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
/**
 *  @file
 *
 *  Definitions of DebugServer member functions to be used
 *  for setting breakpoints.
 *
 *  @author Bettina Krammer, Valentin Himmler
 *
 *  $Id: $
 */

#include "mpo-breakpoints.h"

namespace MPO
{
    // insertBreakpointMarmotError
    //========================================================================
    int DebugServer::insertBreakpointMarmotError(const char *message)
    {
        // do nothing
        return 0;

    }//end of insertBreakpointMarmotError




    // insertBreakpointMarmotWarning
    //========================================================================
    int DebugServer::insertBreakpointMarmotWarning(const char *message)
    {
        // do nothing
        return 0;

    }//end of insertBreakpointMarmotWarning




    // insertBreakpointMarmotNote
    //========================================================================
    int DebugServer::insertBreakpointMarmotNote(const char *message)
    {
        // do nothing
        return 0;

    }//end of insertBreakpointMarmotNote
}
