/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
/**
 *  @file
 *
 *  Empty except for comments on MPI_Pcontrol.
 *
 *  The corresponding class MPO_Pcontrol is not implemented.
 *
 *  @author Bettina Krammer
 * 
 *  $Id: mpo_Pcontrol.cc 838 2008-06-13 10:44:34Z hpchimml $
 */



//***************************************************************************
//
//                              MPI_Pcontrol
//
/** Class MPO_Pcontrol is not implemented. */

// The following comment is copied from mpich-1.2.5.2/src/profile/pcontrol.c.
/*@
  MPI_Pcontrol - Controls profiling

  Input Parameters:
. level - Profiling level 

  Notes:
  This routine provides a common interface for profiling control.  The
  interpretation of 'level' and any other arguments is left to the
  profiling library.

.N fortran
@*/
