/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
/**
 *  @file
 *
 *  Empty except for comments on MPI_Wtick.
 *
 *  The corresponding class MPO_Wtick is not implemented.
 *
 *  @author Bettina Krammer
 * 
 *  $Id: mpo_Wtick.cc 838 2008-06-13 10:44:34Z hpchimml $
 */



// mpich implementation
//========================================================================
// The following comment is copied from mpich-1.2.4/src/env/wtick.c.
/*@ 
  MPI_Wtick - Returns the resolution of MPI_Wtime

  Return value:
  Time in seconds of resolution of MPI_Wtime

  Notes for Fortran:
  This is a function, declared as 'DOUBLE PRECISION MPI_WTICK()' in Fortran.
  

  double MPI_Wtick()
  @*/
