/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
#pragma once
#include "dice_treewin.h"

namespace DICE_GUI
{

	class CDICE_SystemWin : public CDICE_TreeWin
	{
	private:
		CDICE_SystemWin(void);

		static CDICE_SystemWin* m_theInstance;

	public:
		~CDICE_SystemWin(void);

		static CDICE_SystemWin* GetInstance(void);

		void selectionChanged(long DICEid);
	};

} //end of namespace DICE_GUI