#include "StdAfx.h"
#include "DICE_TreeItem.h"

namespace DICE_INTERFACE
{

	CDICE_TreeItem::CDICE_TreeItem(void)
	{
		m_father = NULL;
		m_desc = "";
		m_severity = 0.0;
		m_DICE_id = 0;
	}

	CDICE_TreeItem::CDICE_TreeItem(CDICE_TreeItem* father, std::string desc, double severity, long DICE_id)
	{
		m_father = father;
		m_desc = desc;
		m_severity = severity;
		m_DICE_id = DICE_id;
	}

	CDICE_TreeItem::~CDICE_TreeItem(void)
	{
	}

	CDICE_TreeItem* CDICE_TreeItem::getFather (void)
	{
		return m_father;
	}

	void CDICE_TreeItem::setFather (CDICE_TreeItem* father)
	{
		m_father = father;
	}

	std::string CDICE_TreeItem::getDesc (void)
	{
		return m_desc;
	}

	void CDICE_TreeItem::setDesc (std::string desc)
	{
		m_desc = desc;
	}

	double CDICE_TreeItem::getSeverity (void)
	{
		return m_severity;
	}

	void CDICE_TreeItem::setSeverity (double severity)
	{
		m_severity = severity;
	}

	long CDICE_TreeItem::getDICEid (void)
	{
		return m_DICE_id;
	}

	void CDICE_TreeItem::setDICEid (long id)
	{
		m_DICE_id = id;
	}

	double CDICE_TreeItem::accumulateSeverities (void)
	{
		return m_severity;
	}

	CDICE_TreeItem* CDICE_TreeItem::findDICEid (long DICE_id)
	{
		if (m_DICE_id == DICE_id)
			return this;

		return NULL;
	}

} //end of namespace DICE_INTERFACE