/**
 *  @file
 *
 *  This program is a very simple MPI program to verify that the 
 *  library works correctly.
 *
 *  It just calls 
 *  - MPI_Init
 *  - MPI_Abort
 *  - MPI_Finalize 
 *
 *  @author Bettina Krammer, Katrin Bidmon, Matthias Mueller
 *
 *  $Id: abort.c 402 2005-09-08 11:59:32Z rusbetti $  
 */


#include <mpi.h>

int main(int argc, char **argv)
{
    MPI::Init(argc, argv);

    MPI::COMM_WORLD.Abort(42);
    MPI::Finalize();

    return 0;
}
