/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
#define  PMPI_Abort                 MPI_Abort
#define  PMPI_Address               MPI_Address
#define  PMPI_Allgather             MPI_Allgather
#define  PMPI_Allgatherv            MPI_Allgatherv
#define  PMPI_Allreduce             MPI_Allreduce
#define  PMPI_Alltoall              MPI_Alltoall
#define  PMPI_Alltoallv             MPI_Alltoallv
#define  PMPI_Attr_delete           MPI_Attr_delete
#define  PMPI_Attr_get              MPI_Attr_get
#define  PMPI_Attr_put              MPI_Attr_put
#define  PMPI_Barrier               MPI_Barrier
#define  PMPI_Bcast                 MPI_Bcast
#define  PMPI_Bsend_init            MPI_Bsend_init
#define  PMPI_Bsend                 MPI_Bsend
#define  PMPI_Buffer_attach         MPI_Buffer_attach
#define  PMPI_Buffer_detach         MPI_Buffer_detach
#define  PMPI_Cancel                MPI_Cancel
#define  PMPI_Cart_coords           MPI_Cart_coords
#define  PMPI_Cart_create           MPI_Cart_create
#define  PMPI_Cartdim_get           MPI_Cartdim_get
#define  PMPI_Cart_get              MPI_Cart_get
#define  PMPI_Cart_map              MPI_Cart_map
#define  PMPI_Cart_rank             MPI_Cart_rank
#define  PMPI_Cart_shift            MPI_Cart_shift
#define  PMPI_Cart_sub              MPI_Cart_sub
#define  PMPI_Comm_compare          MPI_Comm_compare
#define  PMPI_Comm_create           MPI_Comm_create
#define  PMPI_Comm_dup              MPI_Comm_dup
#define  PMPI_Comm_free             MPI_Comm_free
#define  PMPI_Comm_group            MPI_Comm_group
#define  PMPI_Comm_rank             MPI_Comm_rank
#define  PMPI_Comm_remote_group     MPI_Comm_remote_group
#define  PMPI_Comm_remote_size      MPI_Comm_remote_size
#define  PMPI_Comm_size             MPI_Comm_size
#define  PMPI_Comm_split            MPI_Comm_split
#define  PMPI_Comm_test_inter       MPI_Comm_test_inter
#define  PMPI_Dims_create           MPI_Dims_create
#define  PMPI_Errhandler_create     MPI_Errhandler_create
#define  PMPI_Errhandler_free       MPI_Errhandler_free
#define  PMPI_Errhandler_get        MPI_Errhandler_get
#define  PMPI_Errhandler_set        MPI_Errhandler_set
#define  PMPI_Error_class           MPI_Error_class
#define  PMPI_Error_string          MPI_Error_string
#define  PMPI_Finalize              MPI_Finalize
#define  PMPI_Gather                MPI_Gather
#define  PMPI_Gatherv               MPI_Gatherv
#define  PMPI_Get_count             MPI_Get_count
#define  PMPI_Get_elements          MPI_Get_elements
#define  PMPI_Get_processor_name    MPI_Get_processor_name
#define  PMPI_Get_version           MPI_Get_version
#define  PMPI_Graph_create          MPI_Graph_create
#define  PMPI_Graphdims_get         MPI_Graphdims_get
#define  PMPI_Graph_get             MPI_Graph_get
#define  PMPI_Graph_map             MPI_Graph_map
#define  PMPI_Graph_neighbors_count MPI_Graph_neighbors_count
#define  PMPI_Graph_neighbors       MPI_Graph_neighbors
#define  PMPI_Group_compare         MPI_Group_compare
#define  PMPI_Group_difference      MPI_Group_difference
#define  PMPI_Group_excl            MPI_Group_excl
#define  PMPI_Group_free            MPI_Group_free
#define  PMPI_Group_incl            MPI_Group_incl
#define  PMPI_Group_intersection    MPI_Group_intersection
#define  PMPI_Group_range_excl      MPI_Group_range_excl
#define  PMPI_Group_range_incl      MPI_Group_range_incl
#define  PMPI_Group_rank            MPI_Group_rank
#define  PMPI_Group_size            MPI_Group_size
#define  PMPI_Group_translate_ranks MPI_Group_translate_ranks
#define  PMPI_Group_union           MPI_Group_union
#define  PMPI_Ibsend                MPI_Ibsend
#define  PMPI_Init                  MPI_Init
#define  PMPI_Init_thread           MPI_Init_thread
#define  PMPI_Initialized           MPI_Initialized
#define  PMPI_Intercomm_create      MPI_Intercomm_create
#define  PMPI_Intercomm_merge       MPI_Intercomm_merge
#define  PMPI_Iprobe                MPI_Iprobe
#define  PMPI_Irecv                 MPI_Irecv 
#define  PMPI_Irsend                MPI_Irsend
#define  PMPI_Isend                 MPI_Isend
#define  PMPI_Issend                MPI_Issend
#define  PMPI_Keyval_create         MPI_Keyval_create
#define  PMPI_Keyval_free           MPI_Keyval_free
#define  PMPI_Op_create             MPI_Op_create
#define  PMPI_Op_free               MPI_Op_free
#define  PMPI_Pack                  MPI_Pack
#define  PMPI_Pack_size             MPI_Pack_size
#define  PMPI_Probe                 MPI_Probe
#define  PMPI_Recv_init             MPI_Recv_init
#define  PMPI_Recv                  MPI_Recv
#define  PMPI_Reduce                MPI_Reduce
#define  PMPI_Reduce_scatter        MPI_Reduce_scatter
#define  PMPI_Request_free          MPI_Request_free
#define  PMPI_Rsend_init            MPI_Rsend_init
#define  PMPI_Rsend                 MPI_Rsend
#define  PMPI_Scan                  MPI_Scan
#define  PMPI_Scatter               MPI_Scatter
#define  PMPI_Scatterv              MPI_Scatterv
#define  PMPI_Send_init             MPI_Send_init
#define  PMPI_Send                  MPI_Send
#define  PMPI_Sendrecv              MPI_Sendrecv
#define  PMPI_Sendrecv_replace      MPI_Sendrecv_replace
#define  PMPI_Ssend_init            MPI_Ssend_init
#define  PMPI_Ssend                 MPI_Ssend
#define  PMPI_Startall              MPI_Startall
#define  PMPI_Start                 MPI_Start
#define  PMPI_Testall               MPI_Testall
#define  PMPI_Testany               MPI_Testany
#define  PMPI_Test_cancelled        MPI_Test_cancelled
#define  PMPI_Test                  MPI_Test
#define  PMPI_Testsome              MPI_Testsome
#define  PMPI_Topo_test             MPI_Topo_test
#define  PMPI_Type_commit           MPI_Type_commit
#define  PMPI_Type_contiguous       MPI_Type_contiguous
#define  PMPI_Type_extent           MPI_Type_extent
#define  PMPI_Type_free             MPI_Type_free
#define  PMPI_Type_hindexed         MPI_Type_hindexed
#define  PMPI_Type_hvector          MPI_Type_hvector
#define  PMPI_Type_indexed          MPI_Type_indexed
#define  PMPI_Type_lb               MPI_Type_lb
#define  PMPI_Type_size             MPI_Type_size
#define  PMPI_Type_struct           MPI_Type_struct
#define  PMPI_Type_ub               MPI_Type_ub
#define  PMPI_Type_vector           MPI_Type_vector
#define  PMPI_Unpack                MPI_Unpack
#define  PMPI_Waitall               MPI_Waitall
#define  PMPI_Waitany               MPI_Waitany
#define  PMPI_Wait                  MPI_Wait
#define  PMPI_Waitsome              MPI_Waitsome
#define  PMPI_Wtick                 MPI_Wtick
#define  PMPI_Wtime                 MPI_Wtime

