/*
 * Copyright (c) 2002-2008 High Performance Computing Center Stuttgart,
 *                         University of Stuttgart.  All rights reserved.
 * Copyright (c) 2006-2008 The Center for Information Services and HPC
 *                         Technical University of Dresden.
 *                         All rights reserved.
 *
 * $COPYRIGHT$
 *
 * Additional copyrights may follow
 *
 * $HEADER$
 */
/**
 *  @file
 *
 *  Definition of MPO_File_get_position class.
 *
 *  @author Bettina Krammer
 *
 *  $Id: mpo_File_get_position.cc 838 2008-06-13 10:44:34Z hpchimml $
 */


#include "mpo-2-objects.h"
#include "mpo-binaryIO.h"
#include "mpo-debugserver.h"


namespace MPO
{


}                               // end of namespace MPO


// mpich implementation
//========================================================================
// The following comment is copied from 
// mpich-1.2.5.2/romio/mpi-io/get_posn.c


/*@
    MPI_File_get_position - Returns the current position of the 
                individual file pointer in etype units relative to
                the current view

Input Parameters:
. fh - file handle (handle)

Output Parameters:
. offset - offset of individual file pointer (nonnegative integer)

.N fortran

int MPI_File_get_position(MPI_File fh, MPI_Offset *offset)

@*/
