#include "StdAfx.h"
#include "DICE_MessagesWin.h"
#include "GUIUpdaterWin.h"
#include "DICE_ReportListWin.h"
#include "DICE_LocationsWin.h"
#include "DICE_SystemWin.h"

namespace DICE_GUI
{
	CDICE_MessagesWin* CDICE_MessagesWin::m_theInstance = NULL;

	CDICE_MessagesWin::CDICE_MessagesWin(void)
	{
	}

	CDICE_MessagesWin::~CDICE_MessagesWin(void)
	{
	}

	CDICE_MessagesWin* CDICE_MessagesWin::GetInstance(void)
	{
		if (m_theInstance == NULL)
		{
			m_theInstance = new CDICE_MessagesWin();
		}

		return m_theInstance;
	}

	void CDICE_MessagesWin::selectionChanged(long DICEid)
	{
		if (m_selectedID != DICEid)
		{
			m_selectedID = DICEid;

			//update the tree content
			CDICE_GUIUpdaterWin::GetInstance()->getQueryDICE()->changeMessagesSelection(DICEid);			

			//update the reports
			DICE_INTERFACE::SDICE_ReturnIDs selection;
			selection.m_IDmessages = m_selectedID;
			selection.m_IDlocations = CDICE_LocationsWin::GetInstance()->getSelection();
			selection.m_IDsystem = CDICE_SystemWin::GetInstance()->getSelection();
			CDICE_ReportListWin::GetInstance()->setReports(
				CDICE_GUIUpdaterWin::GetInstance()->getQueryDICE()->getReports(selection));
		}
	}

} //end of namespace DICE_GUI