/**
 *  @file
 *
 *  This program is a very simple MPI program to verify that the 
 *  library works correctly.
 *
 *  It just calls 
 *  - MPI_Init
 *  - MPI_Finalize 
 *
 *  @author Bettina Krammer, Katrin Bidmon, Matthias Mueller
 *
 *  $Id: basic.cc 414 2005-09-09 15:39:54Z rusbetti $  
 */


#include <mpi.h>
#include "iostream"

int main(int argc, char **argv)
{
    MPI_Init(&argc, &argv);

    std::cout << "Hello!" << std::endl;

    MPI_Finalize();

    return 0;
}
